

/********************************************************************/

// File: rectangle.h

// Definition for the class circle

/********************************************************************/

 

#ifndef RECTANGLE_H

#define RECTANGLE_H

#include "figure.h"

 
class rectangle: public figure   // a rectangle is a figure

{

	// Overriding member functions (unique for rectangles)

	public:

	// Read a rectangle

	void readFigure ( ) ;

 

	// Compute the area of a rectangle

	void computeArea ( ) ;

 

	// Compute the perimeter of a rectangle

	void computePerim( );

 

	// Display characteristics unique to rectangles

	void displayFig( );

 

	// Data members (unique to rectangles)   . . .

	private:

	float width;

	float height;

};

#endif     // RECTANGLE_H

 
